package tech.nevets.osql4j;

public class ConnectionFactory {
    public static <T> SQLConnection<T> newSQLiteConnection(Class<T> clazz, String databaseLocation) {
        return new SQLConnection<>(clazz, databaseLocation);
    }

    public static <T> SQLConnection<T> newMySQLConnection(Class<T> clazz, ServerCredentials credentials) {
        return new SQLConnection<>(clazz, "MySQL", null, credentials.url(), credentials.schema(), credentials.username(), credentials.password());
    }
}
